actions: []
api_documentation: http://docs.ros.org/en/noetic/api/message_runtime/html
authors: ''
brief: ''
bugtracker: https://github.com/ros/message_runtime/issues
depends:
- catkin
- cpp_common
- genpy
- roscpp_serialization
- roscpp_traits
- rostime
depends_on:
- abb_egm_msgs
- abb_rapid_msgs
- abb_rapid_sm_addin_msgs
- abb_robot_msgs
- ackermann_msgs
- actionlib
- actionlib_lisp
- actionlib_msgs
- actionlib_tutorials
- amr_interop_msgs
- app_manager
- arbotix_msgs
- audio_common_msgs
- automotive_navigation_msgs
- automotive_platform_msgs
- autoware_can_msgs
- autoware_config_msgs
- autoware_lanelet2_msgs
- autoware_map_msgs
- autoware_msgs
- autoware_system_msgs
- auv_msgs
- axis_camera
- bagger
- base_local_planner
- bond
- bosch_locator_bridge
- calibration_msgs
- camera_aravis
- can_msgs
- canopen_chain_node
- capabilities
- carla_msgs
- cartesian_control_msgs
- cartesian_msgs
- clober_msgs
- cmvision
- cob_3d_mapping_msgs
- cob_actions
- cob_android_msgs
- cob_base_controller_utils
- cob_base_drive_chain
- cob_cartesian_controller
- cob_control_msgs
- cob_footprint_observer
- cob_frame_tracker
- cob_hand_bridge
- cob_helper_tools
- cob_light
- cob_lookat_action
- cob_manipulation_msgs
- cob_map_accessibility_analysis
- cob_mimic
- cob_msgs
- cob_object_detection_msgs
- cob_perception_msgs
- cob_phidgets
- cob_script_server
- cob_sound
- cob_srvs
- computer_status_msgs
- control_msgs
- control_toolbox
- controller_manager_msgs
- costmap_2d
- costmap_converter
- costmap_cspace_msgs
- crane_x7_examples
- crane_x7_msgs
- darknet_ros_msgs
- dataspeed_pds_msgs
- dataspeed_ulc_msgs
- dbw_fca_msgs
- dbw_mkz_msgs
- dbw_polaris_msgs
- depthai_ros_msgs
- diagnostic_msgs
- dingo_msgs
- driver_base
- dwb_msgs
- dynamic_reconfigure
- dynamixel_interface
- dynamixel_sdk_examples
- dynamixel_workbench_msgs
- fadecandy_msgs
- find_object_2d
- fkie_multimaster_msgs
- flexbe_msgs
- four_wheel_steering_msgs
- foxglove_msgs
- franka_example_controllers
- franka_gripper
- franka_msgs
- fuse_models
- fuse_msgs
- gazebo_msgs
- gazebo_plugins
- gazebo_video_monitor_msgs
- geographic_msgs
- geometry_msgs
- gps_common
- graft
- graph_msgs
- grasping_msgs
- haf_grasping
- handeye
- hfl_driver
- husky_msgs
- image_cb_detector
- image_exposure_msgs
- industrial_msgs
- innopolis_vtol_dynamics
- ixblue_ins_msgs
- jackal_msgs
- jsk_footstep_msgs
- jsk_gui_msgs
- jsk_hark_msgs
- jsk_interactive_marker
- jsk_pcl_ros_utils
- jsk_perception
- jsk_recognition_utils
- jsk_rqt_plugins
- kobuki_msgs
- label_manager
- laser_assembler
- leo_msgs
- locomotor_msgs
- map_msgs
- map_organizer_msgs
- mapviz
- marker_msgs
- marti_can_msgs
- marti_common_msgs
- marti_dbw_msgs
- marti_nav_msgs
- marti_perception_msgs
- marti_sensor_msgs
- marti_status_msgs
- marti_visualization_msgs
- mavros
- mavros_msgs
- mbf_msgs
- mcl_3dl_msgs
- mesh_msgs
- microstrain_3dmgx2_imu
- microstrain_inertial_driver
- microstrain_inertial_msgs
- mir_actions
- mir_msgs
- move_base
- move_base_msgs
- moveit_msgs
- mpc_local_planner_msgs
- mrpt_msgs
- multisense_ros
- nav_2d_msgs
- nav_msgs
- navfn
- nerian_stereo
- nmea_msgs
- nodelet
- nonpersistent_voxel_layer
- novatel_oem7_msgs
- object_recognition_msgs
- octomap_msgs
- opencv_apps
- openni2_camera
- outsight_alb_driver
- people_msgs
- phidgets_msgs
- pid
- pilz_msgs
- planner_cspace_msgs
- plotjuggler_msgs
- polled_camera
- posedetection_msgs
- power_msgs
- pr2_mechanism_msgs
- pr2_msgs
- psen_scan_v2
- py_trees_msgs
- rc_common_msgs
- rc_genicam_driver
- rc_hand_eye_calibration_client
- rc_pick_client
- rc_reason_clients
- rc_reason_msgs
- rc_roi_manager_gui
- rc_silhouettematch_client
- rc_tagdetect_client
- rc_visard_driver
- realsense2_camera
- resized_image_transport
- robot_body_filter
- robot_calibration_msgs
- robot_localization
- rokubimini_msgs
- ros_core
- ros_ign_bridge
- ros_vosk
- rosapi
- rosbag_snapshot_msgs
- rosbridge_library
- rosbridge_msgs
- rosbuild
- roscpp
- roscpp_tutorials
- rosgraph_msgs
- rospy_message_converter
- rospy_tutorials
- rosserial_arduino
- rosserial_mbed
- rosserial_msgs
- rosserial_windows
- rtabmap_ros
- rviz
- safety_limiter_msgs
- sbpl_lattice_planner
- schunk_sdh
- sciurus17_msgs
- sdc21x0
- sensehat_ros
- sensor_msgs
- septentrio_gnss_driver
- shape_msgs
- sick_ldmrs_msgs
- sick_safetyscanners
- sick_scan
- slam_toolbox
- slam_toolbox_msgs
- smach_msgs
- sound_play
- speech_recognition_msgs
- statistics_msgs
- std_msgs
- std_srvs
- stereo_msgs
- swri_profiler_msgs
- tablet_socket_msgs
- teb_local_planner
- teleop_tools_msgs
- test_roscpp
- tf
- theora_image_transport
- topic_tools
- toposens_driver
- toposens_markers
- toposens_msgs
- toposens_pointcloud
- toposens_sync
- trajectory_msgs
- trajectory_tracker_msgs
- turtle_actionlib
- turtlebot3_example
- turtlebot3_msgs
- turtlesim
- tuw_airskin_msgs
- tuw_gazebo_msgs
- tuw_geometry_msgs
- tuw_local_controller_msgs
- tuw_multi_robot_msgs
- tuw_nav_msgs
- tuw_object_msgs
- tuw_vehicle_msgs
- tuw_waypoint_to_spline_msgs
- twist_mux_msgs
- ublox_msgs
- udp_com
- urg_node
- vector_map_msgs
- velodyne_msgs
- view_controller_msgs
- vision_msgs
- visp_camera_calibration
- visp_hand2eye_calibration
- visp_tracker
- visualization_msgs
- vl53l1x
- webots_ros
- wfov_camera_msgs
- wiimote
- wireless_msgs
- xpp_msgs
- ypspur_ros
description: Package modeling the run-time dependencies for language bindings of messages.
devel_jobs:
- https://build.ros.org/view/Ndev_db/job/Ndev_db__message_runtime__debian_buster_amd64
- https://build.ros.org/view/Ndev/job/Ndev__message_runtime__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__message_runtime__ubuntu_focal_amd64
license: BSD
maintainer_status: maintained
maintainers: Dirk Thomas <dthomas@osrfoundation.org>
metapackages:
- ros_core
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_dB/job/Nsrc_dB__message_runtime__debian_buster__source
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__message_runtime__ubuntu_focal__source
- https://build.ros.org/view/Nbin_db_dB64/job/Nbin_db_dB64__message_runtime__debian_buster_amd64__binary
- https://build.ros.org/view/Nbin_dbv8_dBv8/job/Nbin_dbv8_dBv8__message_runtime__debian_buster_arm64__binary
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__message_runtime__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__message_runtime__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__message_runtime__ubuntu_focal_arm64__binary
repo_name: message_runtime
repo_url: https://github.com/ros/message_runtime
srvs: []
timestamp: 1646209723.3092084
url: http://ros.org/wiki/message_runtime
vcs: git
vcs_uri: https://github.com/ros/message_runtime.git
vcs_version: kinetic-devel
